Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mail.imap
Class IMAPFolder.FetchProfileItem

    java.lang.Object
      javax.mail.FetchProfile.Item
          com.sun.mail.imap.IMAPFolder.FetchProfileItem

Enclosing class:
  IMAPFolder

    public static class IMAPFolder.FetchProfileItem

extends FetchProfile.Item

A fetch profile item for fetching headers. This inner class extends the `FetchProfile.Item` class to add new FetchProfile item types, specific to IMAPFolders.

See Also:
  `FetchProfile`

Field Summary
`static IMAPFolder.FetchProfileItem` | `HEADERS` HEADERS is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder.
`static IMAPFolder.FetchProfileItem` | `SIZE` SIZE is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder.

Fields inherited from class javax.mail.FetchProfile.Item
`CONTENT_INFO, ENVELOPE, FLAGS`

Constructor Summary
`protected` | `IMAPFolder.FetchProfileItem(java.lang.String name)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADERS

    public static final IMAPFolder.FetchProfileItem HEADERS

  HEADERS is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder. This item indicates that the headers for messages in the specified range are desired to be prefetched.

  An example of how a client uses this is below:

  >             FetchProfile fp = new FetchProfile();
  >             fp.add(IMAPFolder.FetchProfileItem.HEADERS);
  >             folder.fetch(msgs, fp);

### SIZE

    public static final IMAPFolder.FetchProfileItem SIZE

  SIZE is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder. This item indicates that the sizes of the messages in the specified range are desired to be prefetched.

  SIZE should move to FetchProfile.Item in JavaMail 1.3.

Constructor Detail

### IMAPFolder.FetchProfileItem

    protected IMAPFolder.FetchProfileItem(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD